PHP 5.x Being Deprecated in 2018

  Print

The transition to PHP 7

We are officially announcing deprecation of the PHP 5.x codebase on our shared hosting environment and beginning the transition to PHP 7. Starting in 2018, the server version of PHP will be changed to PHP 7.1. If you need to use PHP 5.6 (the last supported version of PHP 5.x), you will have to make this change within cPanel. We are still going to offer PHP 5.x series (with the removal of PHP 5.5.38) that is still supported, but we will slowly be dropping support. Since we want to give you ample time to begin migrating your applications over, we’re making this announcement early.

Legacy Applications

You may have some legacy applications that are either no longer in development or that are still in active development, but the development team is holding off PHP 7 for some reason. Once support for a specific PHP version is dropped, these applications will no longer function! If you require these legacy applications to run, the best course of action is to order a VPS Cloud Server or a Dedicated Cloud Server. Please note that other than supported third party applications, our support team will not provide any assistance, especially for custom-coded applications.

Application Plugins/Addons

Please note that some software such as WordPress may have third-party plugins/addons that are legacy and may not work under a new codebase.

Testing for PHP 7.x compatibility

We highly recommend that you take this opportunity to switch your sites over to PHP 7.1 to verify everything is working correctly. To do this, access your cPanel from the My NodeSpace portal. In the top search bar within cPanel, type in “php” and then under “Software”, click on “MultiPHP Manager”.



When the list loads, select the domain that you wish to change the PHP version on. Note: If you setup sub-domains prior to 2016, cPanel was creating these under your main domain instead of separate sites. If this is the case, you’ll have a warning about which subdomains are using the parent site version of PHP.

Select the checkbox next to the domain or subdomain and then from the dropdown menu at the top, select “ea-php71” for PHP 7.1 and click Apply. Check your site and make sure everything is working. If you receive a blank white page, there are PHP errors being suppressed and your site is NOT PHP 7.x ready! To revert the change, select your domain again and change the PHP version to “ea-php56” (or whichever version of PHP you were using) and click Apply. Check your site again to make sure everything loads properly again.



If your site did not load properly, please get with your application developer to see when PHP 7.x support will be added.

If you have any questions about this change, please don’t hesitate to contact our support department.

Did you find this article useful?   0 out of 0 people found this article useful.

Related Articles


  • Comments

Add Comment

Replying to  

Self-Hosted Help Desk Software by SupportPal.

Login

 
Forgot password?
Register now

Language